org.firebirdsql.jdbc.metadata

## Class GetSuperTables

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetSuperTables

    public final class GetSuperTables
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getSuperTables(String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetSuperTables` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getSuperTables()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSuperTables

    public java.sql.ResultSet getSuperTables()
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetSuperTables create(DbMetadataMediator mediator)